Package org.tmatesoft.svn.core.wc

## Class SVNConflictResult

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNConflictResult

-     public class SVNConflictResult
      extends java.lang.Object

  The SVNConflictResult represents the decision of the user's `conflict handler` regarding a conflict situation.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SVNConflictResult​(SVNConflictChoice conflictChoice, java.io.File mergedFile)` | Creates a new `SVNConflictChoice` object.
    `SVNConflictResult​(SVNConflictChoice conflictChoice, java.io.File mergedFile, boolean saveMerged)` | Creates a new `SVNConflictChoice` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SVNConflictChoice` | `getConflictChoice()` | Returns the conflict handler's choice.
    `java.io.File` | `getMergedFile()` | Returns the file with the merge result.
    `boolean` | `isIsSaveMerged()` | Says if the merged result should be saved or not to preserve changes made to it during conflict handling.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNConflictResult

          public SVNConflictResult​(SVNConflictChoice conflictChoice,
                                   java.io.File mergedFile)

      Creates a new `SVNConflictChoice` object.
      Parameters:
        `conflictChoice` - way that the conflict should be resolved in
        `mergedFile` - file containing the merge result

    - #### SVNConflictResult

          public SVNConflictResult​(SVNConflictChoice conflictChoice,
                                   java.io.File mergedFile,
                                   boolean saveMerged)

      Creates a new `SVNConflictChoice` object.
      Parameters:
        `conflictChoice` - way that the conflict should be resolved in
        `mergedFile` - file containing the merge result
      Since:
        1.3.3

  - ### Method Detail

    - #### getConflictChoice

          public SVNConflictChoice getConflictChoice()

      Returns the conflict handler's choice. This way implementor can manage conflicts providing a choice object defining what to do with the conflict.
      Returns:
        conflict choice

    - #### getMergedFile

          public java.io.File getMergedFile()

      Returns the file with the merge result.

      Usually this will be the `result file` obtained by the user's `conflict handler` from the `description`'s `merge file set` object.
      Returns:
        merged file

    - #### isIsSaveMerged

          public boolean isIsSaveMerged()

      Says if the merged result should be saved or not to preserve changes made to it during conflict handling.
      Returns:
        true if the merge result should be saved; false otherwise
      Since:
        1.3.3